Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.complexscripts.fonts
Class GlyphMappingTable.MappingRange

    java.lang.Object
      org.apache.fop.complexscripts.fonts.GlyphMappingTable.MappingRange

Enclosing class:
  GlyphMappingTable

    public static class GlyphMappingTable.MappingRange

extends java.lang.Object

The `MappingRange` class encapsulates a glyph [start,end] range and a mapping index.

Constructor Summary
`GlyphMappingTable.MappingRange()` Instantiate a mapping range.
`GlyphMappingTable.MappingRange(int gidStart, int gidEnd, int index)` Instantiate a specific mapping range.

Method Summary
`int` | `getEnd()`
`int` | `getIndex()`
`int[]` | `getInterval()`
`int[]` | `getInterval(int[] interval)` Obtain interval, filled into first two elements of specified array, or returning new array.
`int` | `getLength()`
`int` | `getStart()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphMappingTable.MappingRange

    public GlyphMappingTable.MappingRange()

  Instantiate a mapping range.

### GlyphMappingTable.MappingRange

    public GlyphMappingTable.MappingRange(int gidStart,
                                          int gidEnd,
                                          int index)

  Instantiate a specific mapping range.

  Parameters:
    `gidStart` - start of range
    `gidEnd` - end of range
    `index` - mapping index

Method Detail

### getStart

    public int getStart()

  Returns:
    start of range

### getEnd

    public int getEnd()

  Returns:
    end of range

### getIndex

    public int getIndex()

  Returns:
    mapping index

### getInterval

    public int[] getInterval()

  Returns:
    interval as a pair of integers

### getInterval

    public int[] getInterval(int[] interval)

  Obtain interval, filled into first two elements of specified array, or returning new array.

  Parameters:
    `interval` - an array of length two or greater or null
  Returns:
    interval as a pair of integers, filled into specified array

### getLength

    public int getLength()

  Returns:
    length of interval

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.